Subject: bug#10953: closed (Re: bug#10953: Potential logical bug in readtokens.c)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Mar 2012 19:59:02 +0000

Your bug report

#10953: Potential logical bug in readtokens.c

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10953: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10953
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10953: Potential logical bug in readtokens.c
From: Paul Eggert <[email-masked]>
To: Jim Meyering <[email-masked]>
Cc: Xu Zhongxing <[email-masked]>, [email-masked]
Date: Wed, 07 Mar 2012 11:56:48 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 03/07/2012 11:52 AM, Jim Meyering wrote:
> Here's a proposed readtokens test module:

I took a quick look, and it looks fine, thanks.

The bug's fixed now, so I'm marking it as 'done'.

Subject: Potential logical bug in readtokens.c
From: Xu Zhongxing <[email-masked]>
To: [email-masked]
Date: Tue, 06 Mar 2012 13:58:59 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I think I found a potential bug. But I am not sure about it. It looks
real from the code.

For coreutils 8.15, in file readtokens.c, function readtoken()

If delim is NULL, and saved_delim is not NULL, then the condition on
line 75 is not satisfied, but the condition on line 79 is satisfied.

In this case, there could be NULL pointer deference for delim[i] in line 84.

- Zhongxing Xu